
export function Endigrade(damageSource, deadEntity) {
    if (deadEntity.typeId === 'lv_mo:endigrade') {
        const random = Math.floor(Math.random() * 3) + 1;
        for (let i = 0; i < random; i++) {
            const endermite = deadEntity.dimension.spawnEntity(`minecraft:endermite`, deadEntity.location);
            endermite.addEffect('slow_falling', (10*20), {amplifier: 2, showParticles: false});
        }
    }
}
